﻿Imports System.Windows.Forms.DataVisualization.Charting

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ActiveControl = lblInfo
        dtpTargetDate.Value = DateTime.Today

        ' Set up chart
        With chartBiorhythm.ChartAreas(0)
            .AxisX.Title = "Days from Today"
            .AxisY.Title = "Biorhythm Value"
            .AxisY.Minimum = -1
            .AxisY.Maximum = 1
        End With

        chartBiorhythm.Series.Clear()
    End Sub

    Private Sub btnCalculate_Click(sender As Object, e As EventArgs) Handles btnCalculate.Click
        Dim birthDate As Date = dtpBirthDate.Value
        Dim targetDate As Date = dtpTargetDate.Value
        Dim daysLived As Integer = (targetDate - birthDate).Days

        lblInfo.Text = $"Days since birth: {daysLived}"

        chartBiorhythm.Series.Clear()

        Dim seriesPhysical As New Series("Physical")
        Dim seriesEmotional As New Series("Emotional")
        Dim seriesIntellectual As New Series("Intellectual")

        seriesPhysical.ChartType = SeriesChartType.Line
        seriesEmotional.ChartType = SeriesChartType.Line
        seriesIntellectual.ChartType = SeriesChartType.Line

        For i As Integer = -15 To 15
            Dim dayOffset = daysLived + i
            Dim physical = Math.Sin(2 * Math.PI * dayOffset / 23)
            Dim emotional = Math.Sin(2 * Math.PI * dayOffset / 28)
            Dim intellectual = Math.Sin(2 * Math.PI * dayOffset / 33)

            seriesPhysical.Points.AddXY(i, physical)
            seriesEmotional.Points.AddXY(i, emotional)
            seriesIntellectual.Points.AddXY(i, intellectual)
        Next

        chartBiorhythm.Series.Add(seriesPhysical)
        chartBiorhythm.Series.Add(seriesEmotional)
        chartBiorhythm.Series.Add(seriesIntellectual)
    End Sub

End Class
